Bug 28963

Summary: AX notifications should be an ENUM type instead of strings
Product: WebKit Reporter: chris fleizach <cfleizach>
Component: AccessibilityAssignee: chris fleizach <cfleizach>
Status: RESOLVED FIXED    
Severity: Normal    
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
patch darin: review+

Description chris fleizach 2009-09-03 20:36:10 PDT
right now AX notifications are string literals that match exactly with the strings used on the mac platform. it would be better to be an ENUM type that could then use public API
Comment 1 chris fleizach 2009-09-08 22:21:44 PDT
Created attachment 39245 [details]
patch
Comment 2 Darin Adler 2009-09-09 07:42:40 PDT
Comment on attachment 39245 [details]
patch

> +        // Notifications. Use strings provided for consistency.

What does "Use strings provided for consistency" mean? Who should use strings, for what?

> +        enum AXNotification {
> +            AXCheckedStateChanged = 1,

Why the = 1 here? I recommend leaving that out unless you have some need for a zero value.

r=me
Comment 3 chris fleizach 2009-09-09 23:41:08 PDT
Committed rr48244: <http://trac.webkit.org/changeset/r48244>